> ## Documentation Index
> Fetch the complete documentation index at: https://docs.miteos.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Disconnect Integration

> Disconnect an integration and revoke tokens.



## OpenAPI

````yaml POST /integrations/{integration_id}/disconnect
openapi: 3.1.0
info:
  title: Miteos API
  description: >-
    Multi-agent command center with undetectable browsing, vertical superpowers,
    and persistent memory.
  version: 0.1.0
servers: []
security: []
tags:
  - name: health
    description: Health checks and readiness probes
  - name: auth
    description: Authentication and authorization
  - name: tasks
    description: Task submission and management
  - name: workspaces
    description: Workspace management
  - name: agents
    description: Agent control and monitoring
  - name: memory
    description: Agent memory system
  - name: integrations
    description: MCP Hub and service connections
  - name: commerce
    description: Purchasing agent and virtual cards
  - name: trading
    description: Trading agent operations
  - name: social
    description: Social media agent
  - name: billing
    description: Billing, credits, and subscriptions
  - name: teams
    description: Team workspaces and collaboration
  - name: agent-marketplace
    description: Agent-to-agent task marketplace
  - name: federation
    description: Federated agent protocol
  - name: collective-intelligence
    description: Skill metrics and evolution
  - name: enterprise-mesh
    description: Enterprise org and policy management
  - name: referral-network
    description: Agent referral links and tracking
  - name: white-label
    description: White-label deployments
  - name: replays
    description: Task replay capture, playback, and sharing
  - name: company
    description: Company-in-a-Box agent fleet deployment
  - name: api-keys
    description: Developer API keys and webhooks
  - name: brokers
    description: Live broker connections and order execution
  - name: deployments
    description: Deploy websites and apps to production
  - name: admin
    description: Platform administration and user management
  - name: websocket
    description: Real-time event streaming
paths:
  /integrations/{integration_id}/disconnect:
    post:
      tags:
        - integrations
      summary: Disconnect Integration
      description: Disconnect an integration and revoke tokens.
      operationId: disconnect_integration_integrations__integration_id__disconnect_post
      parameters:
        - name: integration_id
          in: path
          required: true
          schema:
            type: string
            title: Integration Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
                title: >-
                  Response Disconnect Integration Integrations  Integration Id 
                  Disconnect Post
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````